it-swarm-ja.com

rpmシステムで利用可能なパッケージバージョンを確認するにはどうすればよいですか?

Debianでパッケージの利用可能なバージョンを確認したい場合は、apt-cache policy pkgnameを実行します。wajigの場合は次のようになります。

wajig:
  Installed: 2.01
  Candidate: 2.01
  Version table:
 *** 2.01 0
        100 /var/lib/dpkg/status
     2.0.47 0
        500 file:/home/wena/.repo_bin/ squeeze/main i386 Packages
        500 ftp://ftp.is.co.za/debian/ squeeze/main i386 Packages

つまり、3つのwajigパッケージがあり、1つはインストールされており(/var/lib/dpkg/status)、他の2つは(同じバージョンです)。これら2つのうち1つはローカルリポジトリにあり、もう1つはリモートリポジトリから使用できます。

Rpmシステムで同様の結果を得るにはどうすればよいですか?

66
tshepang

yumRHEL/Fedora/Centos/Scientific Linuxの場合

インストール済みでアップグレード可能な(および古い)パッケージに関する情報を表示するコマンドlistを提供します。

yum --showduplicates list <package>

zypperSuSE Linuxの場合

利用可能なインストール済みのパッケージまたはパッチの詳細なリストを返すことができます。

zypper search -s <package>

複数のパッケージがある場合は、--exact-matchを追加すると役立ちます。

補足として、 here は、パッケージ管理コマンドの比較です。

85
wag

rpm -qi <package name>を使用して、インストールされたパッケージのすべての情報を取得できます。以下のコマンドも使用できます。

yum info <package name>
yum list <package name>
yum --showduplicates list <package name>
17
moshtagh

他の答えは、システムにインストールされているパッケージに関する情報を取得する方法を扱います。これに追加するために、PackageKitのpkcon searchコマンドを使用して、利用可能なまだインストールされていないパッケージについて、yumリポジトリにクエリすることもできます。

$ pkcon search name xz
Searching by name             [=========================]         
Starting                      [=========================]         
Querying                      [=========================]         
Available       pxz-4.999.9-2.beta.20100608git.fc15.i686        Parallel LZMA compressor using XZ
Installed       xz-5.0.3-1.fc15.i686                            LZMA compression utilities
Available       xz-compat-libs-5.0.1-2.fc15.i686                Compatibility libraries for decoding LZMA compression
Available       xz-compat-libs-5.0.3-1.fc15.i686                Compatibility libraries for decoding LZMA compression
Installed       xz-debuginfo-5.0.3-1.fc15.i686                  Debug information for package xz
Installed       xz-devel-5.0.3-1.fc15.i686                      Devel libraries & headers for liblzma
Installed       xz-libs-5.0.3-1.fc15.i686                       Libraries for decoding LZMA compression
Installed       xz-lzma-compat-5.0.3-1.fc15.i686                Older LZMA format compatibility binaries
Installed       xzgv-0.9.1-3.fc15.i686                          Picture viewer
$

私は、Fedoraシステムでの使用経験しかありませんが、PacketKitはaptリポジトリでも機能するように汎用的に記述されていると思います。

5
hlovdal

以下のコマンドを実行すると、サーバーにインストールされているすべてのパッケージが表示されます。

rpm -qa | grep <packagename>

その他のrpmコマンドがリストされています ここ

4
ronak

利用可能なパッケージをクエリするには、urpmq --sources YOURPACKAGEこれはMandriva固有です(私はMandrivaしか知りません)。

インストールされているパッケージのバージョンを知りたい場合:rpm -q YOURPACKAGEこれはすべてのRPMシステムで機能します。

RedHat/Fedoraでは、yumを参照してください。

3
ofaurax